Commit ebc91793 authored by Erick Hitter's avatar Erick Hitter

PHPCS

parent 0f83df9d
Pipeline #453 failed with stage
in 2 minutes and 30 seconds
......@@ -45,6 +45,10 @@ This plugin is known to conflict with certain plugins, many pertaining to SEO an
## Changelog ##
### 0.9.2 ###
* Introduce PHPCS tests
* Update plugin based on PHPCS results
### 0.9.1 ###
* Security update: correct misuse of `add_query_arg()` as identified by Sucuri: https://blog.sucuri.net/2015/04/security-advisory-xss-vulnerability-affecting-multiple-wordpress-plugins.html.
......@@ -95,6 +99,9 @@ This plugin is known to conflict with certain plugins, many pertaining to SEO an
## Upgrade Notice ##
### 0.9.2 ###
Adds support for PHP 7.3 and fixes various PHPCS errors, neither of which should impact the plugin's functionality.
### 0.9.1 ###
Security update: correct misuse of `add_query_arg()` as identified by Sucuri: https://blog.sucuri.net/2015/04/security-advisory-xss-vulnerability-affecting-multiple-wordpress-plugins.html.
......
......@@ -2,10 +2,10 @@
# This file is distributed under the same license as the View All Posts Pages package.
msgid ""
msgstr ""
"Project-Id-Version: View All Posts Pages 0.9.1\n"
"Project-Id-Version: View All Posts Pages 0.9.2\n"
"Report-Msgid-Bugs-To: "
"https://wordpress.org/support/plugin/view-all-posts-pages\n"
"POT-Creation-Date: 2019-02-05 17:47:01+00:00\n"
"POT-Creation-Date: 2019-02-05 18:43:53+00:00\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=utf-8\n"
"Content-Transfer-Encoding: 8bit\n"
......@@ -25,101 +25,104 @@ msgstr ""
"X-Poedit-Bookmarks: \n"
"X-Textdomain-Support: yes\n"
#: view-all-posts-pages.php:147 view-all-posts-pages.php:154
#: view-all-posts-pages.php:179 view-all-posts-pages.php:186
msgid "View All"
msgstr ""
#: view-all-posts-pages.php:437 view-all-posts-pages.php:466
#: view-all-posts-pages.php:464 view-all-posts-pages.php:495
#. translators: 1: Plugin name.
#. translators: 1: WordPress function name.
msgid "%s Options"
msgstr ""
#: view-all-posts-pages.php:468
#: view-all-posts-pages.php:499
msgid ""
"A \"view all\" link can be appended to WordPress' standard page navigation "
"using the options below."
msgstr ""
#: view-all-posts-pages.php:472
#: view-all-posts-pages.php:503
msgid "Automatically append link to post's page navigation?"
msgstr ""
#: view-all-posts-pages.php:474 view-all-posts-pages.php:510
#: view-all-posts-pages.php:505 view-all-posts-pages.php:548
msgid "Yes"
msgstr ""
#: view-all-posts-pages.php:475 view-all-posts-pages.php:511
#: view-all-posts-pages.php:506 view-all-posts-pages.php:549
msgid "No"
msgstr ""
#: view-all-posts-pages.php:479 view-all-posts-pages.php:531
#: view-all-posts-pages.php:510 view-all-posts-pages.php:576
msgid "Link text:"
msgstr ""
#: view-all-posts-pages.php:485 view-all-posts-pages.php:537
#: view-all-posts-pages.php:516 view-all-posts-pages.php:582
msgid "Link's CSS class(es):"
msgstr ""
#: view-all-posts-pages.php:489 view-all-posts-pages.php:541
#: view-all-posts-pages.php:520 view-all-posts-pages.php:586
msgid ""
"Be aware that Internet Explorer will only interpret the first two CSS "
"classes."
msgstr ""
#: view-all-posts-pages.php:493 view-all-posts-pages.php:523
#: view-all-posts-pages.php:524 view-all-posts-pages.php:561
msgid "Display automatically on:"
msgstr ""
#: view-all-posts-pages.php:502
#: view-all-posts-pages.php:540
msgid "Standalone Link Options"
msgstr ""
#: view-all-posts-pages.php:504
#: view-all-posts-pages.php:542
msgid ""
"In addition to appending the \"view all\" link to WordPress' standard "
"navigation, link(s) can be added above and below post content."
msgstr ""
#: view-all-posts-pages.php:508
#: view-all-posts-pages.php:546
msgid "Automatically add links based on settings below?"
msgstr ""
#: view-all-posts-pages.php:515
#: view-all-posts-pages.php:553
msgid "Automatically place link:"
msgstr ""
#: view-all-posts-pages.php:517
#: view-all-posts-pages.php:555
msgid "Above content"
msgstr ""
#: view-all-posts-pages.php:518
#: view-all-posts-pages.php:556
msgid "Below content"
msgstr ""
#: view-all-posts-pages.php:519
#: view-all-posts-pages.php:557
msgid "Above and below content"
msgstr ""
#: view-all-posts-pages.php:545
#: view-all-posts-pages.php:590
msgid "Link's priority:"
msgstr ""
#: view-all-posts-pages.php:549
#: view-all-posts-pages.php:594
msgid ""
"Priority determines when the link is added to a post's content. You can use "
"the above setting to modulate the link's placement."
msgstr ""
#: view-all-posts-pages.php:550
#: view-all-posts-pages.php:595
msgid ""
"The default value is <strong>10</strong>. Lower values mean the link will "
"be added earlier, while higher values will add the link later."
msgstr ""
#: view-all-posts-pages.php:689
#: view-all-posts-pages.php:739
msgid "View All Post's Pages"
msgstr ""
#: view-all-posts-pages.php:691
#: view-all-posts-pages.php:744
#. translators: 1: Permalinks settings page URL.
msgid ""
"You must refresh your site's permalinks before <em>View All Post's "
"Pages</em> is fully activated. To do so, go to <a "
......@@ -127,7 +130,8 @@ msgid ""
"Changes</em></strong> button at the bottom of the screen."
msgstr ""
#: view-all-posts-pages.php:693
#: view-all-posts-pages.php:756
#. translators: 1: URL to dismiss admin notice.
msgid "When finished, click <a href=\"%s\">here</a> to hide this message."
msgstr ""
......
......@@ -45,6 +45,10 @@ This plugin is known to conflict with certain plugins, many pertaining to SEO an
== Changelog ==
= 0.9.2 =
* Introduce PHPCS tests
* Update plugin based on PHPCS results
= 0.9.1 =
* Security update: correct misuse of `add_query_arg()` as identified by Sucuri: https://blog.sucuri.net/2015/04/security-advisory-xss-vulnerability-affecting-multiple-wordpress-plugins.html.
......@@ -95,6 +99,9 @@ This plugin is known to conflict with certain plugins, many pertaining to SEO an
== Upgrade Notice ==
= 0.9.2 =
Adds support for PHP 7.3 and fixes various PHPCS errors, neither of which should impact the plugin's functionality.
= 0.9.1 =
Security update: correct misuse of `add_query_arg()` as identified by Sucuri: https://blog.sucuri.net/2015/04/security-advisory-xss-vulnerability-affecting-multiple-wordpress-plugins.html.
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment